package GUIAnwendungen;

import javax.swing.JFrame;
import javax.swing.JPasswordField;
public class Jpassword {
	/*
	 * - wird verwendet, um ein spezielles Texteingabefeld für Passwörter (Password Field) zur Benutzeroberfläche hinzuzufügen. 
	 * - Sie verbirgt die Zeichen, die der Benutzer eingibt.
	 * 
	 * Methode: 
	 *  - public char[] getPassword(): Gibt password als charArray zurück
	 */

	public static void main(String[] args) {
        JFrame frame = new JFrame("JPasswordField demo");      // أي قمنا بإنشاء نافذة مع وضع عنوان لها JFrame هنا أنشأنا كائن من الكلاس
        frame.setSize(300, 250);                               // هنا قمنا بتحديد حجم النافذة. عرضها 300 و طولها 250
        frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);  // هنا جعلنا زر الخروج من النافذة يغلق البرنامج
        frame.setLayout(null);                                 // في النافذة بنفسنا Password Field لذلك سنقوم بتحديد مكان الـ Layout Manager أي لم نستخدم أي null هنا وضعنا
 
        JPasswordField passwordField = new JPasswordField();   // Password Field أي قمنا بإنشاء JPasswordField هنا أنشأنا كائن من الكلاس
        passwordField.setBounds(40, 40, 200, 30);   		   // frame في الـ Password Field هنا قمنا بتحديد حجم و موقع الـ
        
        // ändert die Staren als ? 
        passwordField.setEchoChar('?'); 
        
        // zeigt das Password beim Schreiben
        passwordField.setEchoChar('\0'); 
        frame.add(passwordField);                              // frame في الـ Password Field هنا أضفنا الـ
 
        frame.setVisible(true);          
		
	}

}
